<template>
  <span class="sw-gs-icon sf-icon">
    <svg class="sf-icon-path"
         viewBox="0 0 24 24"
         preserveAspectRatio="none">
      <path fill="var(--icon-color)"  fill-rule="evenodd" clip-rule="evenodd" d="M16.6256 3.13179L17.6569 2.10051C18.0474 1.70998 18.6805 1.70998 19.0711 2.10051L21.8995 4.92893C22.29 5.31946 22.29 5.95262 21.8995 6.34315L20.8682 7.37443C21.1384 7.89138 21.3647 8.43488 21.5422 9H23C23.5523 9 24 9.44771 24 10V14C24 14.5523 23.5523 15 23 15H21.5422C21.3647 15.5651 21.1384 16.1086 20.8682 16.6256L21.8995 17.6569C22.29 18.0474 22.29 18.6805 21.8995 19.0711L19.0711 21.8995C18.6805 22.29 18.0474 22.29 17.6569 21.8995L16.6256 20.8682C16.1086 21.1384 15.5651 21.3647 15 21.5422V23C15 23.5523 14.5523 24 14 24H10C9.44771 24 9 23.5523 9 23V21.5422C8.43488 21.3647 7.89138 21.1384 7.37443 20.8682L6.34315 21.8995C5.95262 22.29 5.31946 22.29 4.92893 21.8995L2.10051 19.0711C1.70998 18.6805 1.70998 18.0474 2.10051 17.6569L3.13179 16.6256C2.86161 16.1086 2.6353 15.5651 2.4578 15H1C0.447715 15 0 14.5523 0 14V10C0 9.44771 0.447715 9 1 9H2.4578C2.6353 8.43488 2.86161 7.89138 3.13179 7.37443L2.10051 6.34315C1.70998 5.95262 1.70998 5.31946 2.10051 4.92893L4.92893 2.10051C5.31946 1.70998 5.95262 1.70998 6.34315 2.10051L7.37443 3.13179C7.89138 2.86161 8.43488 2.6353 9 2.4578V1C9 0.447715 9.44771 0 10 0H14C14.5523 0 15 0.447715 15 1V2.4578C15.5651 2.6353 16.1086 2.86161 16.6256 3.13179ZM12 17C9.23858 17 7 14.7614 7 12C7 9.23858 9.23858 7 12 7C14.7614 7 17 9.23858 17 12C17 14.7614 14.7614 17 12 17ZM12 15C13.6569 15 15 13.6569 15 12C15 10.3431 13.6569 9 12 9C10.3431 9 9 10.3431 9 12C9 13.6569 10.3431 15 12 15Z"/>
    </svg>
  </span>
</template>

<script lang="ts">
  export default {
    name: 'SwGsIconCog'
  }
</script>
